%define upstream_name    Regexp-Common
%define upstream_version 2024080801

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    %{upstream_name} module for perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Regexp/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Config)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
%{upstream_name} module for perl provides commonly requested regular
expressions.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
make

%check
make test

%install
%make_install

%files
%defattr(644,root,root,755)
%doc COPYRIGHT Changes LICENSE META.json META.yml MYMETA.yml README TODO
%{_mandir}/man*/*
%{perl_vendorlib}/*

%changelog
* Sat Aug 24 2024 tv <tv> 2024080801.0.0-1.mga10
+ Revision: 2090892
- update to 2024080801

* Mon Mar 21 2022 umeabot <umeabot> 2017060201.0.0-5.mga9
+ Revision: 1810147
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 2017060201.0.0-4.mga8
+ Revision: 1506133
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 2017060201.0.0-3.mga7
+ Revision: 1285947
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 2017060201.0.0-2.mga7
+ Revision: 1166399
- rebuild with fixed rpm for missing autodeps

* Sat Sep 23 2017 sander85 <sander85> 2017060201.0.0-1.mga7
+ Revision: 1158276
- update to 2017060201

* Sun Jun 19 2016 pterjan <pterjan> 2016020301.0.0-2.mga6
+ Revision: 1032771
- Rebuild for perl 5.22.2

* Wed Feb 10 2016 shlomif <shlomif> 2016020301.0.0-1.mga6
+ Revision: 953370
- update to 2016020301

* Sat Jan 16 2016 shlomif <shlomif> 2016010801.0.0-1.mga6
+ Revision: 923916
- update to 2016010801

* Wed Oct 15 2014 umeabot <umeabot> 2013031301.0.0-4.mga5
+ Revision: 741731
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2013031301.0.0-3.mga5
+ Revision: 686095
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 2013031301.0.0-2.mga4
+ Revision: 527298
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 2013031301.0.0-1.mga4
+ Revision: 439847
- update to 2013031301

* Sun Jan 13 2013 umeabot <umeabot> 2011121001.0.0-2.mga3
+ Revision: 372277
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 10 2011 kharec <kharec> 2011121001.0.0-1.mga2
+ Revision: 180441
- update to 2011121001

* Tue Apr 19 2011 jquelin <jquelin> 2011041701.0.0-1.mga2
+ Revision: 88558
- update to 2011041701

* Thu Jan 20 2011 jquelin <jquelin> 2010010201.0.0-1.mga1
+ Revision: 26909
- mageia rebuild
- imported package perl-Regexp-Common

